package com.bio.bio_backend.global.config;

import io.swagger.v3.oas.models.OpenAPI;
import io.swagger.v3.oas.models.info.Info;
import io.swagger.v3.oas.models.info.License;
import io.swagger.v3.oas.models.servers.Server;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.List;

@Configuration
public class SwaggerConfig {

    @Bean
    public OpenAPI openAPI() {
        return new OpenAPI()
                .info(new Info()
                        .title("대상 미생물 분석 시스템 Backend API")
                        .description("대상 미생물 분석 시스템 Backend 서비스의 REST API 문서")
                        .version("v1.0.0")
                        .license(new License()
                                .name("STAM License")
                                .url("https://stam.kr/")));
    }
}
